package com.govmade.common.utils;

/**
 * 常量类
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月3日
 */
public class Constant {

	/** 超级管理员ID */
	public static final int SUPER_ADMIN = 1;

	/**
	 * 菜单类型
	 * 
	 * @author Fred
	 * @email fangtaosh@qq.com
	 * @date 2018年8月3日
	 */
	public enum MenuType {
		/**
		 * 目录
		 */
		CATALOG(0),
		/**
		 * 菜单
		 */
		MENU(1),
		/**
		 * 按钮
		 */
		BUTTON(2);

		private Integer value;

		MenuType(Integer value) {
			this.value = value;
		}

		public Integer getValue() {
			return value;
		}
	}

	/**
	 * 删除状态
	 * 
	 */
	public enum DeleteState {
		/**
		 * 删除
		 */
		DELETE(0),
		/**
		 * 正常
		 */
		NORMAL(1);

		private Integer value;

		private DeleteState(Integer value) {
			this.value = value;
		}

		public int getValue() {
			return value;
		}
	}
}
